Method: brands.agents.integrations.create

  • You can create an integration using an HTTP POST request to the specified Google Business Communications API endpoint.

  • The URL utilizes gRPC Transcoding syntax.

  • The parent parameter is required and specifies the unique identifier of the agent.

  • The request and response bodies contain instances of the Integration object.

Create an integration.

HTTP request

POST https://businesscommunications.googleapis.com/v1/{parent=brands/*/agents/*}/integrations

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The unique identifier of the agent. If the brand identifier is "1234" and the agent identifier is "5678", this parameter resolves to "brands/1234/agents/5678".

Request body

The request body contains an instance of Integration.

Response body

If successful, the response body contains a newly created instance of Integration.